var byteDance = {};

byteDance.getAudioContext = (src, cb) => {
    // 创建一个 AudioContext 和 Audio
    const ctx = tt.getAudioContext();
    const audio = ctx.createAudio();
    // 需要先设置event监听 再设置src 确保时序正确
    audio.oncanplay = () => {
        cb(audio);
    };
    audio.loop = false;
    audio.startTime = 0;
    audio.autoplay = false;
    audio.src = src;

    // 使用createMediaElementSource 从Audio对象创建一个音频源
    const source = ctx.createMediaElementSource(audio);
    source.connect(ctx.destination);
}

window.byteDance = byteDance;