import { _decorator, AudioClip, AudioSource, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {

    @property(AudioClip) audioClip: AudioClip = null!;
    private audioSource: AudioSource = null!;
    private audio: any = null!;
    private isPlaying: boolean = false;

    protected onLoad(): void {
        window.byteDance.getAudioContext('http://sh7l3n22b.hn-bkt.clouddn.com/click_button.mp3', (audio) => {
            this.audio = audio
        });
    }

    start() {
        this.schedule(() => {
            // if (this.audioSource) {
            //     this.audioSource.play();
            // } else {
            //     this.audioSource = this.node.addComponent(AudioSource);
            //     this.audioSource.clip = this.audioClip;
            //     this.audioSource.playOnAwake = false;
            //     this.audioSource.loop = false;
            //     this.audioSource.play();
            // }
            if (this.audio) {
                this.audio.stop();
                this.audio.startTime = 0;
                this.audio.play();
            }
        }, 0.2);
    }

    update(deltaTime: number) {

    }
}


